{ lib, ... }:

# none functional until https://github.com/nix-community/disko/issues/219 is resolved

{
  options.disko = {
    name = lib.mkOption {
      type = lib.types.str;
      example = "chaos";
      description = "Machine name used in eg zpool name.";
    };

    rootDisk = lib.mkOption {
      type = lib.types.str;
      example = "/dev/sda";
      description = "Path of the root disk.";
    };

    enableCeph = lib.mkOption {
      type = lib.types.bool;
      default = true;
      description = "Wether to include a ceph on the root disk.";
    };

    enableLuks = lib.mkOption {
      type = lib.types.bool;
      default = true;
      description = "Wether to encrypt the root disk.";
    };

    enableZfs = lib.mkOption {
      type = lib.types.bool;
      default = true;
      description = "Wether to include a zfs on the root disk.";
    };
  };
}
